Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.index
Interface Index

All Known Implementing Classes:
  MemValues, Values, Words, WordsCTA

    public interface Index

This interface defines the methods which have to be implemented by an index structure.

Author:
  Workgroup DBIS, University of Konstanz 2005-07, ISC License, Christian Gruen

Nested Class Summary
`static class` | `Index.TYPE` Index types.

Method Summary
`void` | `close()` Close the index.
`int[][]` | `idPos(byte[] tok, FTOption ftOption)` Returns the decompressed ids for the specified token.
`int[]` | `ids(byte[] tok)` Returns the node ids for the specified token.
`int[]` | `ids(byte[] tok, FTOption ftOption)` Returns the node ids for the specified token.
`void` | `info(PrintOutput out)` Returns information on the index structure.
`int` | `nrIDs(byte[] tok)` Returns the (approximate/estimated) number of ids for the specified token.

Method Detail

### close

    void close()
               throws java.io.IOException

  Close the index.

  Throws:
    `java.io.IOException` - in case of write errors

### idPos

    int[][] idPos(byte[] tok,
                  FTOption ftOption)

  Returns the decompressed ids for the specified token.

  Parameters:
    `tok` - token to be found
    `ftOption` - ftoption for token to be found
  Returns:
    ids

### ids

    int[] ids(byte[] tok)

  Returns the node ids for the specified token.

  Parameters:
    `tok` - token to be found
  Returns:
    ids

### ids

    int[] ids(byte[] tok,
              FTOption ftOption)

  Returns the node ids for the specified token.

  Parameters:
    `tok` - token to be found
    `ftOption` - ftoption for token to be found
  Returns:
    ids

### info

    void info(PrintOutput out)
              throws java.io.IOException

  Returns information on the index structure.

  Parameters:
    `out` - output stream
  Throws:
    `java.io.IOException` - in case of write errors

### nrIDs

    int nrIDs(byte[] tok)

  Returns the (approximate/estimated) number of ids for the specified token.

  Parameters:
    `tok` - token to be found
  Returns:
    number of ids

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD